Skip to main content
GET
/
api
/
rest
/
shipment_line_items
/
{id}
Get One Shipment Line Item
curl --request GET \
  --url https://api.upwell.com/api/rest/shipment_line_items/{id}
{
  "shipmentLineItem": {
    "commodityDescription": "<string>",
    "createdAt": "<unknown>",
    "deliveryLocationName": "<string>",
    "dimensionUnit": "<string>",
    "freightClass": "<string>",
    "handlingUnit": "<string>",
    "handlingUnitQty": "<unknown>",
    "handlingUnitType": "<unknown>",
    "hazmatFlag": true,
    "height": "<unknown>",
    "id": "<string>",
    "length": "<unknown>",
    "lineNumber": 123,
    "nmfcClass": "<string>",
    "nmfcNumber": "<string>",
    "packageQty": "<unknown>",
    "packageType": "<unknown>",
    "packageUnit": "<string>",
    "pickupLocationName": "<string>",
    "referenceNumber": "<string>",
    "shipmentId": "<string>",
    "sourceSystem": "<string>",
    "sourceSystemId": "<string>",
    "updatedAt": "<unknown>",
    "weight": "<unknown>",
    "weightUnit": "<string>",
    "weightUnitType": "<unknown>",
    "width": "<unknown>"
  }
}

Headers

authorization
string

Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY

Path Parameters

id
string
required

"id" is required (enter it either in parameters or request body)

Response

200 - application/json

Responses for GET /api/rest/shipment_line_items/{id}

shipmentLineItem
ShipmentLineItems Ā· object

Shipment Line Items